<?php

namespace Pure\Career;

use DB;
use Illuminate\Database\Seeder;

class CareerCategoryTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('career_categories')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'career.career_category.view',
                'name'      => 'View CareerCategory',
            ],
            [
                'slug'      => 'career.career_category.create',
                'name'      => 'Create CareerCategory',
            ],
            [
                'slug'      => 'career.career_category.edit',
                'name'      => 'Update CareerCategory',
            ],
            [
                'slug'      => 'career.career_category.delete',
                'name'      => 'Delete CareerCategory',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'career.career_category.verify',
                'name'      => 'Verify CareerCategory',
            ],
            [
                'slug'      => 'career.career_category.approve',
                'name'      => 'Approve CareerCategory',
            ],
            [
                'slug'      => 'career.career_category.publish',
                'name'      => 'Publish CareerCategory',
            ],
            [
                'slug'      => 'career.career_category.unpublish',
                'name'      => 'Unpublish CareerCategory',
            ],
            [
                'slug'      => 'career.career_category.cancel',
                'name'      => 'Cancel CareerCategory',
            ],
            [
                'slug'      => 'career.career_category.archive',
                'name'      => 'Archive CareerCategory',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/career/career_category',
                'name'        => 'CareerCategory',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/career/career_category',
                'name'        => 'CareerCategory',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'career_category',
                'name'        => 'CareerCategory',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Career',
                'module'    => 'CareerCategory',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'career.career_category.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
