<?php

namespace Pure\Career\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CareerApplicationTransformer extends TransformerAbstract
{
    public function transform(\Pure\Career\Models\CareerApplication $career_application)
    {
        return [
            'id'                => $career_application->getRouteKey(),
            'key'               => [
                'public'    => $career_application->getPublicKey(),
                'route'     => $career_application->getRouteKey(),
            ], 
            'id'                => $career_application->id,
            'name'              => $career_application->name,
            'email'             => $career_application->email,
            'mobile'            => $career_application->mobile,
            'job_id'            => $career_application->job_id,
            'attachment'        => $career_application->attachment,
            'status'            => $career_application->status,
            'created_at'        => $career_application->created_at,
            'updated_at'        => $career_application->updated_at,
            'deleted_at'        => $career_application->deleted_at,
            'url'               => [
                'public'    => trans_url('career/'.$career_application->getPublicKey()),
                'user'      => guard_url('career/career_application/'.$career_application->getRouteKey()),
            ], 
            'status'            => trans('app.'.$career_application->status),
            'created_at'        => format_date($career_application->created_at),
            'updated_at'        => format_date($career_application->updated_at),
        ];
    }
}