<?php

namespace Pure\Career\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CareerMetaTransformer extends TransformerAbstract
{
    public function transform(\Pure\Career\Models\CareerMeta $career_meta)
    {
        return [
            'id'                => $career_meta->getRouteKey(),
            'key'               => [
                'public'    => $career_meta->getPublicKey(),
                'route'     => $career_meta->getRouteKey(),
            ], 
            'id'                => $career_meta->id,
            'key'               => $career_meta->key,
            'value'             => $career_meta->value,
            'type'              => $career_meta->type,
            'url'               => [
                'public'    => trans_url('career/'.$career_meta->getPublicKey()),
                'user'      => guard_url('career/career_meta/'.$career_meta->getRouteKey()),
            ], 
            'status'            => trans('app.'.$career_meta->status),
            'created_at'        => format_date($career_meta->created_at),
            'updated_at'        => format_date($career_meta->updated_at),
        ];
    }
}