<?php

namespace Pure\Career\Workflow;

use Pure\Career\Models\CareerApplication;
use Pure\Career\Notifications\CareerApplicationWorkflow as CareerApplicationNotifyer;
use Notification;

class CareerApplicationNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param CareerApplication $career_application
     *
     * @return void
     */
    public function complete(CareerApplication $career_application)
    {
        return Notification::send($career_application->user, new CareerApplicationNotifyer($career_application, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param CareerApplication $career_application
     *
     * @return void
     */
    public function verify(CareerApplication $career_application)
    {
        return Notification::send($career_application->user, new CareerApplicationNotifyer($career_application, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param CareerApplication $career_application
     *
     * @return void
     */
    public function approve(CareerApplication $career_application)
    {
        return Notification::send($career_application->user, new CareerApplicationNotifyer($career_application, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param CareerApplication $career_application
     *
     * @return void
     */
    public function publish(CareerApplication $career_application)
    {
        return Notification::send($career_application->user, new CareerApplicationNotifyer($career_application, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param CareerApplication $career_application
     *
     * @return void
     */
    public function archive(CareerApplication $career_application)
    {
        return Notification::send($career_application->user, new CareerApplicationNotifyer($career_application, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param CareerApplication $career_application
     *
     * @return void
     */
    public function unpublish(CareerApplication $career_application)
    {
        return Notification::send($career_application->user, new CareerApplicationNotifyer($career_application, 'unpublish'));;

    }
}
